Subject: bug#62335: closed (Re: bug#62335: Exception when showing version-control packages)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 23 Mar 2023 14:37:02 +0000

Your bug report

#62335: Exception when showing version-control packages

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
62335: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=62335
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#62335: Exception when showing version-control packages
From: Josselin Poiret <[email-masked]>
To: Greg Hogan <[email-masked]>, [email-masked]
Date: Thu, 23 Mar 2023 15:35:28 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Greg,

Greg Hogan <[email-masked]> writes:
> ice-9/boot-9.scm:1685:16: In procedure raise-exception:
> error: pre-commit: unbound variable

This should be fixed now by Maxim with
5174820753be045ba4fc7cc93da33f4e0b730bc3.

Closing, feel free to re-open if it is not the case.

Best,
-- 
Josselin Poiret

Subject: Exception when showing version-control packages
From: Greg Hogan <[email-masked]>
To: [email-masked]
Date: Tue, 21 Mar 2023 10:25:35 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

I have not installed the guix package so I believe that I am running
an unmodified Guix. Testing on my manifest, only packages from
version-control.scm (cvs, diffstat, git, subversion, ...) are
generating the exception.

--8<---------------cut here---------------start------------->8---
$ guix describe
Generation 38 Mar 21 2023 13:38:52 (current)
  guix 38b64d4
    repository URL: https://git.savannah.gnu.org/git/guix.git
    branch: master
    commit: 38b64d47ed3dfaeb63b859e7a8834e477ffed3a1
--8<---------------cut here---------------end--------------->8---

--8<---------------cut here---------------start------------->8---
$ guix show hello
name: hello
version: 2.12.1
outputs:
+ out: everything
systems: x86_64-linux i686-linux
dependencies:
location: gnu/packages/base.scm:87:2
homepage: https://www.gnu.org/software/hello/
license: GPL 3+
synopsis: Hello, GNU world: An example GNU package
description: GNU Hello prints the message "Hello, world!" and then
exits.  It serves as an example of standard GNU coding practices.  As
such, it supports command-line arguments, multiple
+ languages, and so on.
--8<---------------cut here---------------end--------------->8---

--8<---------------cut here---------------start------------->8---
$ guix show git
Backtrace:
In ice-9/boot-9.scm:
  3424:24 19 (_)
   222:29 18 (map1 _)
   222:29 17 (map1 _)
   222:29 16 (map1 _)
   222:29 15 (map1 _)
   222:29 14 (map1 _)
   222:29 13 (map1 _)
   222:29 12 (map1 _)
   222:29 11 (map1 _)
   222:17 10 (map1 (((gnu packages python-xyz)) ((gnu packages #)) …))
  3327:17  9 (resolve-interface (gnu packages python-xyz) #:select _ …)
In ice-9/threads.scm:
    390:8  8 (_ _)
In ice-9/boot-9.scm:
  3253:13  7 (_)
In ice-9/threads.scm:
    390:8  6 (_ _)
In ice-9/boot-9.scm:
  3544:20  5 (_)
   2836:4  4 (save-module-excursion _)
  3564:26  3 (_)
In unknown file:
           2 (primitive-load-path "gnu/packages/python-xyz" #<proced…>)
In gnu/packages/python-xyz.scm:
 24360:42  1 (_)
In ice-9/boot-9.scm:
  1685:16  0 (raise-exception _ #:continuable? _)

ice-9/boot-9.scm:1685:16: In procedure raise-exception:
error: pre-commit: unbound variable
--8<---------------cut here---------------end--------------->8---